#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <qmainwindow.h>

class QAction;

class MainWindow : public QMainWindow
{
    Q_OBJECT
public:
    MainWindow( QWidget *parent = 0, Qt::WFlags flags = 0 );
    virtual ~MainWindow();

private slots:
    void dockBarEnabled( QAction *action );
    void setCornerArea( QAction *action );

private:
    void createDocks();

private:
    QAction *m_topDockBarAction;
    QAction *m_bottomDockBarAction;
    QAction *m_leftDockBarAction;
    QAction *m_rightDockBarAction;
    QAction *m_verticalCorner;
    QAction *m_horizontalCorner;
};

#endif
